Bug 150171 - gamin shows erros in console after update
gamin shows erros in console after update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 04:16 EST by drago01
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 08:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description drago01 2005-03-03 04:16:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
I upgraded gamin via yum today. No when I use gedit from a terminal it shows:
end from FAM server connection
end from FAM server connection
end from FAM server connection

** ERROR **: file gam_tree.c: line 146 (gam_tree_remove): assertion failed: (g_node_n_children(node->node) == 0)
aborting...
end from FAM server connection
end from FAM server connection
end from FAM server connection
or 
** ERROR **: file gam_tree.c: line 146 (gam_tree_remove): assertion failed: (g_node_n_children(node->node) == 0)
aborting...
without the fam erros...
I don't know if it breaks anything because I haven't been using it for long, but I report it ;)

Version-Release number of selected component (if applicable):
gamin-0.0.25-1.FC3

How reproducible:
Sometimes

Steps to Reproduce:
1. start gedit from console
2. look at the console
3.
  

Actual Results:  errors as described above

Expected Results:  no error messages

Additional info:
Comment 1 Daniel Veillard 2005-03-03 04:27:42 EST
I do not understand your report.

"** ERROR **: file gam_tree.c: line 146 (gam_tree_remove): assertion failed:
(g_node_n_children(node->node) == 0)
aborting..."

can only be printed by the gam server code. How did you see it, as gam_server
should be started in the background by other programs.

I cannot reproduce it, if I launch gedit I don't see any GAM client error.

You need to explain how to reproduce this (environment, where do you launch 
gedit, how, possibly on what kind of filesystem, etc ...) and the best way is
to provide the server traces as explained at
  http://www.gnome.org/~veillard/gamin/debug.html

In the current state your bug report cannot be understood nor reproduced,
so I just can't even try to fix it. Reopen the bug if you can reproduce it
and provide the informations about how to do this.

Daniel
Comment 2 drago01 2005-03-03 04:48:28 EST
"can only be printed by the gam server code. How did you see it, as gam_server
should be started in the background by other programs."
dunno this messages where displayed inside gnome-terminal after string gedit.
After reboot I am also unable to reproduce it so you can leave this as closed.
Comment 3 drago01 2005-03-04 09:05:27 EST
Ok now it happend again and I am able to reproduce it.
This happens when I use the file-selector in gedit or any other gnome-application.
It shows:
failed to read() from server connection
Comment 4 drago01 2005-03-04 09:14:07 EST
Now I used the debug instructions from:
http://www.gnome.org/~veillard/gamin/debug.html
and got this:
gam_server:
------------------------
[dragoran@chello062178124144 ~]$ export GAM_DEBUG=
[dragoran@chello062178124144 ~]$ /usr/libexec/gam_server --notimeout test
Could not open /dev/inotify
Initialized Poll
dnotify initialized
Using DNotify as backend
Ready listening to socket /tmp/fam-dragoran-test : 5
gam_incoming_conn_read called
accepted incoming connection: 6
Created connection 6
gam_client_conn_read called
read credentials byte
Credentials: s_uid 500, c_uid 500, c_gid 500, c_pid 8562
Created listener for 8562
Wrote 1 bytes to socket 6
gam_client_conn_read called
read 39 bytes from client
Request: from 8562, seq 1, type 1 options 0
Created subscription for /home/dragoran/.recently-used
Setting subscription listener for /home/dragoran/.recently-used
gam_dnotify_add_subscription
Poll: added subscription
gam_dnotify_consume_subscriptions()
gam_dnotify_add_subscription: done
gam_dnotify_consume_subscriptions_real()
1 new subscriptions.
node_add_subscription(/home/dragoran/.recently-used)
gam_dnotify_file_handler /home/dragoran/.recently-used : 1
 not a dir using parent /home/dragoran
Adding /home/dragoran to dnotify
activated DNotify for /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
Poll: poll_file : new
New file subscription: /home/dragoran/.recently-used event 0
Event to 8562 : 1, 8, /home/dragoran/.recently-used Exists
Wrote 39 bytes to socket 6
Event to 8562 : 1, 9, /home/dragoran/.recently-used None
Wrote 39 bytes to socket 6
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 1 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
signal handler done
gam_dnotify_pipe_handler()
handling signal
Poll: directory scanning /home/dragoran
Poll: poll_file for /home/dragoran/.recently-used called
 at 1109945503 delta 0 : 0
Poll: poll_file /home/dragoran/.recently-used unchanged
1109849941 0 : 1109849941 0
Poll: scanning /home/dragoran done
gam_dnotify_pipe_handler() done
gam_client_conn_read called
read 15 bytes from client
Request: from 8562, seq 2, type 2 options 0
Created subscription for /home
Setting subscription listener for /home
gam_dnotify_add_subscription
Poll: added subscription
gam_dnotify_consume_subscriptions()
gam_dnotify_add_subscription: done
gam_dnotify_consume_subscriptions_real()
1 new subscriptions.
node_add_subscription(/home)
gam_dnotify_directory_handler /home : 1
Adding /home to dnotify
activated DNotify for /home
Looking for existing files in: /home...
Event to 8562 : 2, 8, /home Exists
Wrote 15 bytes to socket 6
Event to 8562 : 2, 8, dragoran Exists
Wrote 18 bytes to socket 6
Unregistered node /home/glurak
Event to 8562 : 2, 8, glurak Exists
Wrote 16 bytes to socket 6
Unregistered node /home/drancer
Event to 8562 : 2, 8, drancer Exists
Wrote 17 bytes to socket 6
Unregistered node /home/linux
Event to 8562 : 2, 8, linux Exists
Wrote 15 bytes to socket 6
Unregistered node /home/test
Event to 8562 : 2, 8, test Exists
Wrote 14 bytes to socket 6
Event to 8562 : 2, 9, /home None
Wrote 15 bytes to socket 6
Done scanning /home
gam_client_conn_read called
read 10 bytes from client
Request: from 8562, seq 2, type 3 options 0
Cancelling subscription for (2)
gam_dnotify_remove_subscription
Cancelling subscription for /home
Tree has 7 nodes
Removing directory sub: /home
remove_directory_subscription /home
node_remove_subscription(/home)
gam_dnotify_directory_handler /home : 0
Removing /home from dnotify
deactivated DNotify for /home

** ERROR **: file gam_tree.c: line 146 (gam_tree_remove): assertion failed:
(g_node_n_children(node->node) == 0)
aborting...
Abgebrochen
[dragoran@chello062178124144 ~]$
---------------------------------

Comment 5 drago01 2005-03-04 09:18:27 EST
I also noticed that when I download a file to Desktop I have to refresh (using
crtl-r) to see it. 0.0.24 worked fine :(
Comment 6 drago01 2005-03-04 12:40:16 EST
forgot my last comment this works now after reboot.
Comment 7 Pawel Salek 2005-03-10 05:40:10 EST
I see lots of:
** ERROR **: file gam_tree.c: line 146 (gam_tree_remove): assertion
failed: (g_node_n_children(node->node) == 0)
aborting...
invalid length 19785
invalid length 19785
invalid length 19785
invalid length 19785
invalid length 19785
end from FAM server connection

with gamin-0.0.25-1.FC3
Comment 8 Daniel Veillard 2005-03-10 05:47:44 EST
w.r.t. #7: best is to reboot to avoid the "invalid length"
sounds a library/server mismatch.

Daniel
Comment 9 Matthew Miller 2006-07-10 16:28:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 10 Alexander Larsson 2006-08-14 08:20:00 EDT
Reopen if reproduced in FC5.
Comment 11 drago01 2006-08-14 08:30:10 EDT
havn't seen this for a while now (never in FC5) so leave this one closed ;)

Note You need to log in before you can comment on or make changes to this bug.